package cn.com.poc.ai_software_copyright.dto;

import java.util.Map;

/**
 * @author alex.yao
 * @date 2026/1/5
 */
public class CallbackDto {

    private String taskId;

    private String status;

    private String demand;

    private Object ui;

    private Object structure;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDemand() {
        return demand;
    }

    public void setDemand(String demand) {
        this.demand = demand;
    }

    public Object getUi() {
        return ui;
    }

    public void setUi(Object ui) {
        this.ui = ui;
    }

    public Object getStructure() {
        return structure;
    }

    public void setStructure(Object structure) {
        this.structure = structure;
    }
}
